appName: java-app
appReplicas: 3
registrySecret: my-registry-key01
appContainerName: javamysqlapp
appImage: interiordesign/10-k8s-java-app
appVersion: "1.0"
containerPort: 8080

servicePort: 8080

configName: db-config
configData:
  DB_SERVER: my-release-mysql-primary

secretName: db-secret
secretData:
  DB_USER: my-user
  DB_PWD: my-pass
  DB_NAME: my-app-db
  MYSQL_ROOT_PASSWORD: secret-root-pass

regularData:
  {}
  # MY_ENV: my-value

ingress:
  hostName: my-java-app.com # set this value to Linode nodebalancer address for LKE
  pathType: Exact
  path: /
